<template>
  <div>
    <BizTable
      ref="bt"
      :formatCol="formatCol"
      metaName="user_info"
      packageName="auth"
      isMulti
      @onnew="onnew"
      @onedit="onedit"
    ></BizTable>
  </div>
</template>
  <script>
import BizTable from "../components/tables/biztables";
export default {
  name: "userinfo_page",
  data() {
    return {};
  },
  components: {
    BizTable
  },
  methods: {
    setHeight(h){
        this.$refs.bt.setHeight(h)
    },
    onnew() {
      this.$refs.bt.setFormCtlVisable("userName", true);
    },
    onedit() {
      this.$refs.bt.setFormCtlVisable("userName", false);
    },
    formatCol(row, key, index) {
      if (key == "roleName") {
        let rolestr = row.Roles.map(item => item.name).join(",");
        row.roles = row.Roles.map(item => item.id);
        return `<span>${rolestr}</span>`;
      }
      if (key == "isAdmin" || key == "isSuper") {
        return `<span>${row[key] ? "是" : "否"}</span>`;
      }
      if (key == "created_at") {
        return `<span>${new Date(row[key]).toLocaleString()}</span>`;
      }
      return row[key];
    }
  }
};
</script>
  <style>
</style>
